package org.gcube.informationsystem.resourceregistry.queries.operators;

import org.gcube.com.fasterxml.jackson.databind.JsonNode;
import org.gcube.com.fasterxml.jackson.databind.ObjectMapper;
import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class MathematicsOperatorTest {

	protected static Logger logger = LoggerFactory.getLogger(MathematicsOperatorTest.class);
	
	public static final String JSON = "{ \n"
			+ " \"values\" : [\n"
			+ "		{\n"
			+ "			\"_minus\" : [\n"
			+ "				\"size\", \n"
			+ "				\"used\" \n"
			+ "			]\n"
			+ "		},\n"
			+ "		\"unit\" \n"
			+ "	],\n"
			+ "	\"separator\" : \" \",\n"
			+ "	\"as\" : \"HD Space Left\"\n"
			+ "}";
	
	@Test
	public void testGenerateFieldToEmit() throws Exception {
		ObjectMapper om = new ObjectMapper();
		JsonNode jn = om.readTree(JSON);
		String s = MatemathicsOperator.SUM.generateFieldToEmit(jn, "haspersistentmemory20");
		logger.debug(s);
	}
	
}



